include<../../lib/MCAD/teardrop.scad>;


$fn = $preview ? 8 : 360;

if ($preview) {
  union() {
    base();
    cutouts();
  }
} else {
  difference() {
    base();
    cutouts();
  }
}

module base() {
  translate([-100, -100, 0])
    import("1x1.stl");
}

module cutouts() {
  for (j=[0:1:1]) {
    // vertical
    for(i=[0:1:1]) {
        // horizontal
        translate([0, -3 + i*26, 8 + j*26])
          magnet_teardrop();  
    }
  }
}


module magnet_teardrop() {
  color("red")
    teardrop(3.2, 2.85, 90);
}
