// All units in mm
$hole_diameter = 79.67;
$overhang_width = 5.0;
$inner_thickness = 3.0;
$inner_height = 20.0;
$outer_height = 5.0;
// Smoothness
$fn=400;

difference() {
    union() {
        cylinder(h=$outer_height, d=$hole_diameter + $overhang_width * 2);
        cylinder(h=$inner_height + $outer_height, d=$hole_diameter);
    };
    translate([0, 0, $inner_height * -1])
        cylinder(h=$inner_height * 3, d=$hole_diameter - $inner_thickness * 2);
};
